package com.cf.imes.module.system.enums.config;

import cn.hutool.core.util.ObjectUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统配置类型枚举
 *
 * @author Gqr
 * @since 2024/11/8 13:43
 */
@Getter
@AllArgsConstructor
public enum SystemConfigTypeEnum {
    /**
     * 自定义板编号
     */
    CUSTOM_PLATE_NO(1, "自定义板编号"),

    /**
     * 板件分线
     */
    INTELLIGENT_BRANCH(2, "板件筛选"),

    /**
     * 加工筛选
     */
    PROCESSING_SCREENING(3, "加工筛选"),

    /**
     * 数据处理
     */
    DATA_PROCESSING(4, "数据处理"),

    /**
     * 加工方案
     */
    PROCESS_SCHEME(5, "加工方案组"),

    /**
     * 封边条对应
     */
    SEALEDGE(6, "封边条对应");


    /**
     * 类型
     */
    private final Integer type;

    /**
     * 配置项名称
     */
    private final String name;

    public static SystemConfigTypeEnum fromType(Integer type) {
        if (type == null) {
            return null;
        }
        for (SystemConfigTypeEnum value : values()) {
            if (ObjectUtil.equal(value.getType(), type)) {
                return value;
            }
        }
        return null;
    }
}
